/**
 * MyUserOnlineStatus
 * <p>
 * Creates activity for other users to know I'm online.
 * 
 * @author Taylor Born
 * @version December 2013
 */
public class MyUserOnlineStatus extends UserInfoThread implements Runnable
{
    private static final int ELAPSE_TIME = 5000;

    private int num = 0;

    @Override
    public void run()
    {
        while (true)
        {
            while (!Screen.main.running)
                ThreadUtil.linger(ELAPSE_TIME);
            if (end)
                return;
            
            if (++num == 15)
                num = 0;
            while (!UserInfoSemaphore.request())
            {}
            Screen.main.myUserInfo.setInt(0, num);
            Screen.main.myUserInfo.store();
            UserInfoSemaphore.release();
            ThreadUtil.linger(ELAPSE_TIME);
        }
    }
}